/*
 * dataspace.h
 *
 *  Created on: Feb 24, 2019
 *      Author: chris.l
 */

#pragma once

#define TLEN 256

typedef struct {
    struct//render
    {
        unsigned char pitches[TLEN]; // tab43008
        unsigned char frequency1[TLEN];
        unsigned char frequency2[TLEN];
        unsigned char frequency3[TLEN];
        unsigned char amplitude1[TLEN];
        unsigned char amplitude2[TLEN];
        unsigned char amplitude3[TLEN];
        unsigned char sampledConsonantFlag[TLEN]; // tab44800
    } render;
    struct// reciter
    {
        unsigned char inputtemp[TLEN];
    } reciter;
    struct// sam
    {
        char input[TLEN]; //tab39445
        unsigned char stress[TLEN]; //numbers from 0 to 8
        unsigned char phonemeLength[TLEN]; //tab40160
        unsigned char phonemeindex[TLEN];
        unsigned char phonemeIndexOutput[60]; //tab47296
        unsigned char stressOutput[60]; //tab47365
        unsigned char phonemeLengthOutput[60]; //tab47416
    } sam;
} SamData;

extern SamData samdata;	// Zu groß für 8-Bit-AVRs!! Blöd!
